/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#ifndef __BUTTONLINEEDITWIDGETIFC_HXX
#define __BUTTONLINEEDITWIDGETIFC_HXX

#include <qbrowserlib/log.hxx>
#include <qbrowserlib/buttonlineedit.hxx>
#include <QtDesigner>

//! @defgroup designer
//! @{

//! Buttonlineedit widget for Qt Designer
class ButtonLineEditWidgetIfc: public QObject,
                               public QDesignerCustomWidgetInterface {
    Q_OBJECT;
    Q_INTERFACES(QDesignerCustomWidgetInterface);
  public:
    bool isContainer() const {
      TRC;
      return false;
    }
    QIcon icon() const {
      TRC;
      return QIcon(":/icons/buttonlineedit.png");
    }
    QString domXml() const {
      TRC;
      return
        QString
        ("<ui language=\"c++\" displayname=\"%1\">"
         "     <widget class=\"%1\" name=\"%2\"/>"
         "     <customwidgets>"
         "         <customwidget>"
         "             <class>%1</class>"
         "         </customwidget>"
         "     </customwidgets>"
         "</ui>")
        .arg(name())
        .arg(name().toLower());
    }
    QString group() const {
      TRC;
      return "Input Widgets";
    }
    QString includeFile() const {
      TRC;
      return "qbrowserlib/buttonlineedit.hxx";
    }
    QString name() const {
      TRC;
      return "ButtonLineEdit";
    }
    QString toolTip() const {
      TRC;
      return "";
    }
    QString whatsThis() const {
      TRC;
      return "";
    }
    QWidget *createWidget(QWidget *parent) {
      TRC;
      return new ButtonLineEdit(parent);
    }
};

//! @}
#endif
